Package io.vertx.rxjava3.ext.web.handler

## Class DigestAuthHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.DigestAuthHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `AuthenticationHandler`

      public class DigestAuthHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides HTTP Basic Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<DigestAuthHandler>` | `__TYPE_ARG` |
    `static long` | `DEFAULT_NONCE_EXPIRE_TIMEOUT` | The default nonce expire timeout to use in milliseconds.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DigestAuthHandler​(DigestAuthHandler delegate)` |
    `DigestAuthHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DigestAuthHandler` | `create​(Vertx vertx, HtdigestAuth authProvider)` | Create a digest auth handler
    `static DigestAuthHandler` | `create​(Vertx vertx, HtdigestAuth authProvider, long nonceExpireTimeout)` | Create a digest auth handler, specifying the expire timeout for nonces.
    `boolean` | `equals​(Object o)` |
    `DigestAuthHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static DigestAuthHandler` | `newInstance​(DigestAuthHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DigestAuthHandler> __TYPE_ARG

    - #### DEFAULT_NONCE_EXPIRE_TIMEOUT

          public static final long DEFAULT_NONCE_EXPIRE_TIMEOUT

      The default nonce expire timeout to use in milliseconds.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DigestAuthHandler

          public DigestAuthHandler​(DigestAuthHandler delegate)

    - #### DigestAuthHandler

          public DigestAuthHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DigestAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static DigestAuthHandler create​(Vertx vertx,
                                                 HtdigestAuth authProvider)

      Create a digest auth handler
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static DigestAuthHandler create​(Vertx vertx,
                                                 HtdigestAuth authProvider,
                                                 long nonceExpireTimeout)

      Create a digest auth handler, specifying the expire timeout for nonces.
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth service to use
        `nonceExpireTimeout` - the nonce expire timeout in milliseconds.
      Returns:
        the auth handler

    - #### newInstance

          public static DigestAuthHandler newInstance​(DigestAuthHandler arg)